- name: application
  app: badhouseplants
  branch: $ARGO_APP_BRANCH
  commit_sha: $ARGO_APP_IMAGE_TAG
  chart_version: $ARGO_APP_CHART_VERSION
  repo_url: https://git.badhouseplants.net/api/packages/badhouseplants/helm
  value: |
    hugo:
      image:
        tag: $ARGO_APP_IMAGE_TAG
    istio:
      annotations:
        link.argocd.argoproj.io/env: https://badhouseplants.net/
        link.argocd.argoproj.io/build: $DRONE_BUILD_LINK
        link.argocd.argoproj.io/remark42: https://remark42.badhouseplants.net/web
    remark42:
      settings:
        secret: $ARGO_REMARK_SECRET
        oauth:
          github:
            enabled: true
            key: 1fb3d33a62b074bc0ea0
            secret: $ARGO_GITHUB_OAUTH_KEY
          google: 
            enabled: true
            key: 966815964055-m9t7leuj1arqimqu2pvbs1k10cg54gcg.apps.googleusercontent.com
            secret: $ARGO_GOOGLE_OAUTH_KEY
      storage:
        requestedSize: 300Mi

